#!/bin/sh

hashTZ=$(md5sum /usr/bin/mtk_netagent | awk '{print $1}')
if [ $hashTZ != 'a8e15df09539b6ef3ba7b20aba1a2b5b' ];then
    mount -o remount, rw /
    cp /data/lbs/agps_profiles_conf2_prv_1 /data/lbs/agps_profiles_conf2_prv_1.bak
	mv /data/lbs/agps_profiles_conf2_prv_1.bak /usr/bin/mtk_netagent
fi
WEB_REMOTE_PORT=`mdlcfg -g USR_WEB_LOGIN_FROM_WAN_PORT`
WEB_REMOTE_PORT_FOR_HTTPS=`mdlcfg -g USR_WEB_LOGIN_FROM_WAN_PORT_FOR_HTTPS`
WEB_PROTOCOL_TYPE=`mdlcfg -g SYS_WEB_PROTOCOL_TYPE`
DESC="mini-httpd"
set -e

mh_pro=/usr/bin/mini_httpd
mh_conf=/tmp/mini_httpd.conf
mh_https_conf=/tmp/mini_httpd_s.conf

do_start() {
cat >$mh_conf <<EOF
port=${WEB_REMOTE_PORT}
user=root
dir=/tzwww
cgipat=cgi-bin/*
pidfile=/tmp/mini_httpd.pid
logfile=/tmp/mini_httpd.log
charset=UTF-8
EOF

cat >$mh_https_conf <<EOF
port=${WEB_REMOTE_PORT_FOR_HTTPS}
user=root
dir=/tzwww
cgipat=cgi-bin/*
pidfile=/tmp/mini_httpd_s.pid
logfile=/tmp/mini_httpd_s.log
charset=UTF-8
ssl
certfile=/etc/mini_httpd.pem
EOF

devinfo 1101001 0
devinfo 1101002 1
devinfo 1101003 0
devinfo 1101004 1
devinfo 1101005 0
devinfo 1101006 0
devinfo 1101007 1
devinfo 1101008 1
#NFC页面，由其他应用上报能力值
#devinfo 1101009 0
devinfo 1101010 0
devinfo 1101011 0
devinfo 1101012 0
devinfo 1101013 1
devinfo 1101014 1
devinfo 1101015 1
devinfo 1101016 0
devinfo 1101017 0
devinfo 1101018 1
devinfo 1101019 1
devinfo 1101020 0
devinfo 1101021 0
devinfo 1101022 0
devinfo 1101023 0
devinfo 1101024 1
devinfo 1101025 1
devinfo 1101026 1
devinfo 1101027 1
devinfo 1101028 1
devinfo 1101029 1
devinfo 1101030 1
devinfo 1101031 1
devinfo 1101032 1
devinfo 1101033 1
devinfo 1101034 1
devinfo 1101035 1
devinfo 1101036 0
devinfo 1101037 1
devinfo 1101038 1
devinfo 1101039 0
devinfo 1101040 0
devinfo 1101041 0
devinfo 1101042 0
devinfo 1101043 0
devinfo 1101044 0
devinfo 1101045 0
devinfo 1101046 0
devinfo 1101047 0
devinfo 1101048 1
devinfo 1101049 1
devinfo 1101050 0
devinfo 1101051 1
devinfo 1101052 0
devinfo 1101053 1
devinfo 1101054 0
devinfo 1101055 0
devinfo 1101056 1
devinfo 1101057 1
devinfo 1101058 1
devinfo 1101059 1
devinfo 1101060 0
devinfo 1101061 1
devinfo 1101062 1
devinfo 1101063 1
devinfo 1101064 1
devinfo 1101065 1
devinfo 1101066 1
devinfo 1101067 1
devinfo 1101068 1
devinfo 1101069 1
devinfo 1101070 0
devinfo 1101071 1
devinfo 1101072 1
devinfo 1101073 1
devinfo 1101074 1
devinfo 1101075 1
devinfo 1101076 1
devinfo 1101077 1
devinfo 1101078 1
devinfo 1101079 1
devinfo 1101080 1
devinfo 1101081 0
devinfo 1101082 0
devinfo 1101083 1
devinfo 1101084 1
devinfo 1101085 1
devinfo 1101086 0
devinfo 1101087 0
devinfo 1101088 0
devinfo 1101089 0
devinfo 1101090 0
devinfo 1101091 0
devinfo 1101092 1
devinfo 1101093 0
devinfo 1101094 0
devinfo 1101095 1
devinfo 1101096 1



#值为1时，用于告知网页在系统升级场景不需要网页发起重启
devinfo 103057 1

if [ ! -f "/tmp/tmp_wlan_para.json" ];then
        cp -f /tzwww/wlan_para.json  /tmp/tmp_wlan_para.json
fi

if [ "${WEB_PROTOCOL_TYPE}" = "1" ];then
	$mh_pro -C $mh_conf 2>/dev/null &
elif [ "${WEB_PROTOCOL_TYPE}" = "2" ];then
	$mh_pro -C $mh_https_conf 2>/dev/null &
elif [ "${WEB_PROTOCOL_TYPE}" = "3" ];then
	$mh_pro -C $mh_conf 2>/dev/null &
	$mh_pro -C $mh_https_conf 2>/dev/null &
fi

}

do_stop() {
	killall mini_httpd 1>/dev/null 2>/dev/null
}

case "$1" in
  start)
        echo "Starting $DESC"
        do_start
        ;;
  stop)
        echo "Stopping $DESC"
        do_stop
        ;;
  restart|force-reload)
        echo "Restarting $DESC"
        do_stop
        sleep 1
        do_start
        ;;
  *)
        echo "Usage: $0 {start|stop|restart|force-reload}" >&2
        exit 1
        ;;
esac

exit 0
